Tizondocs
ReferenceOrders

List orders

GET
/v1/orders

Every order this account has placed, newest first, with its deliverable once it is fulfilled.

Authorization

ApiKey
AuthorizationBearer <token>

An account API key, sent as Authorization: Bearer tz_live_…. The prefix selects the mode: tz_test_ for sandbox, tz_live_ for real money.

In: header

Query Parameters

limit?integer

Maximum items to return.

Range1 <= value <= 100
Default20
cursor?string

The next_cursor from a previous page.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/orders"
{  "object": "list",  "has_more": true,  "next_cursor": "string",  "data": [    {      "id": "string",      "object": "order",      "quote_id": "string",      "offer_id": "string",      "status": "pending",      "price": {        "amount": 1450,        "currency": "USD"      },      "deliverable": {        "type": "esim_profile",        "iccid": "string",        "lpa": "LPA:1$smdp.example.com$MBGNW-2IMOY-XAKHK-CPNCJ",        "activation_code": "string",        "smdp_address": "smdp.example.com",        "confirmation_code": "string"      },      "failure_reason": "string",      "upstream": {        "transaction_id": "string"      },      "created_at": "2019-08-24T14:15:22Z",      "resolved_at": "2019-08-24T14:15:22Z"    }  ]}